import { GEMRoad } from '../../api/services/generated/api';
import { GEMRoadNetResponse, NavigationEvents } from '../../components/Map/types';
import { TypedEventEmitter } from '../EventEmitter';
declare class NavigationService {
    navigationEventEmitter: TypedEventEmitter<NavigationEvents>;
    constructor();
    queryRoadsInformation(): Promise<import('axios').AxiosResponse<{
        response: GEMRoad[];
    }, any>>;
    queryRoadNets(roadId: number): Promise<import('axios').AxiosResponse<GEMRoadNetResponse, any>>;
}
declare const _default: NavigationService;
export default _default;
